import 'core-js/actual'; // BBB firefox 68
import "./public-path.js"
import * as monaco from 'monaco-editor';


self.MonacoEnvironment = {
	getWorkerUrl: function (moduleId, label) {
		if (label === 'json') {
			return window.monacoEditorWebPackResourceBaseUrl + './json.worker.bundle.min.js';
		}
		if (label === 'css' || label === 'scss' || label === 'less') {
			return window.monacoEditorWebPackResourceBaseUrl + './css.worker.bundle.min.js';
		}
		if (label === 'html' || label === 'handlebars' || label === 'razor') {
			return window.monacoEditorWebPackResourceBaseUrl + './html.worker.bundle.min.js';
		}
		if (label === 'typescript' || label === 'javascript') {
			return window.monacoEditorWebPackResourceBaseUrl + './ts.worker.bundle.min.js';
		}
		return window.monacoEditorWebPackResourceBaseUrl + './editor.worker.bundle.min.js';
	}
}

self.monaco = monaco;
